# Changes

Version 2.2.1 (2020-02-01)

This is a bug fix release for Pandas 1.0.

We closed a total of 10 issues (enhancements and bug fixes) through 5 pull requests, since our last release on 2019-12-18.

## Issues Closed
  - Fixes for pandas deprecation and 3.8 verbosity (#101)
  - ENH: adjust tests for new libpysal.examples (#98)
  - update docs (#97)
  - DOC: changelog update (#96)
  - ENH: bumping version and handle array creation error in join counts (#95)

## Pull Requests
  - Fixes for pandas deprecation and 3.8 verbosity (#101)
  - ENH: adjust tests for new libpysal.examples (#98)
  - update docs (#97)
  - DOC: changelog update (#96)
  - ENH: bumping version and handle array creation error in join counts (#95)

The following individuals contributed to this release:

  - Serge Rey
  - Eli Knaap

# Changes


Version 2.2.0 (2019-12-18)

We closed a total of 50 issues (enhancements and bug fixes) through 18 pull requests, since our last release on 2019-07-01.

## Issues Closed
  - ENH: bumping version and handle array creation error in join counts (#95)
  - development guidelines link in README.md and README.rst (#87)
  - `PYSAL_PYPI` is not defined in `.travis.yml` (#92)
  - addressing #92 -- .travis.yml issue (#93)
  - resolving dev guidelines link (#88)
  - Update officially supported Python versions (#80)
  - ENH - Join count tails (#74)
  - DOC: Have notebooks show output in the src (#83)
  - no output in documentation notebooks (#82)
  - officially supported Python versions (#81)
  - add docs badge (#79)
  - docs are failing (#77)
  - (bug, docs) fix docs building (#78)
  - PySAL development guidelines link broken in pysal/esda (#73)
  - fixed broken development guidelines link, issue #73 (#76)
  - Data missing from example notebooks (#49)
  - added smaup notebook missing data, in addition to sjoin, and groupby code for issue #49  (#75)
  - BUG: setup.py in 2.0.1 is broken (#46)
  - join_counts should provide a pandas-style cross-tab of bb,bw,ww.  (#47)
  - [ENH]: Geosilhouettes (#72)
  - ENH: Contingency tables for Join Counts and related statistics (#71)
  - [WIP] add geosilhouette code (#50)
  - standardize option in Gamma statistic should be a bool. (#59)
  - deprecate standardize option (#70)
  - esda 2.0.1 is release on github, but not on pypi (#56)
  - REL: 2.1.1 (#69)
  - REL: update setup and add Lee statistics (#68)
  - correcting typo from (#60) (#67)
  - typo caused by vim insert issue (#60)
  - add Lee (2001) local spatial Pearson (#51)
  - Use README.rst instead of README.md in setup.py b/c the former is in the sdist (#66)
  - (BUG) esda 2.1.0 on pypi cannot be installed (#65)

## Pull Requests
  - ENH: bumping version and handle array creation error in join counts (#95)
  - addressing #92 -- .travis.yml issue (#93)
  - resolving dev guidelines link (#88)
  - ENH - Join count tails (#74)
  - DOC: Have notebooks show output in the src (#83)
  - officially supported Python versions (#81)
  - add docs badge (#79)
  - (bug, docs) fix docs building (#78)
  - fixed broken development guidelines link, issue #73 (#76)
  - added smaup notebook missing data, in addition to sjoin, and groupby code for issue #49  (#75)
  - [ENH]: Geosilhouettes (#72)
  - ENH: Contingency tables for Join Counts and related statistics (#71)
  - deprecate standardize option (#70)
  - REL: 2.1.1 (#69)
  - REL: update setup and add Lee statistics (#68)
  - correcting typo from (#60) (#67)
  - add Lee (2001) local spatial Pearson (#51)
  - Use README.rst instead of README.md in setup.py b/c the former is in the sdist (#66)

The following individuals contributed to this release:

  - Serge Rey
  - Levi John Wolf
  - James Gaboardi
  - Wei Kang
  - Rose.Pearson
  - Matthew.Borish@Gmail.Com

# Changes

Version 2.1.1 (2019-07-01)

We closed a total of 41 issues (enhancements and bug fixes) through 18 pull requests, since our last release on 2018-11-03.

## Issues Closed
  - REL: update setup and add Lee statistics (#68)
  - typo caused by vim insert issue (#60)
  - correcting typo from (#60) (#67)
  - add Lee (2001) local spatial Pearson (#51)
  - Use README.rst instead of README.md in setup.py b/c the former is in the sdist (#66)
  - (BUG) esda 2.1.0 on pypi cannot be installed (#65)
  - DOC: style sheet update and adding Smaup to __init__ (#64)
  - DOC: correcting Geary documentation (#63)
  - 2.1.0 (#62)
  - (ENH) FDR-based adjustment to account for multiple testing in local statistics (#52)
  - [WIP] Contributing Smaup test to `esda` (#58)
  - G_Local: EG_sim and seG_sim are scalar (#53)
  - docs building failed (#55)
  - (bug) fix docs build (#57)
  - BUG: EG_Sim and seG_sim were incorrectly given as scalars. #53 (#54)
  - doctests are failing  (#35)
  - doc: broken link (#43)
  - bug: missing bibtex file (#42)
  - bug: debugging rtd build (#41)
  - enh: updating travis build and rtd (#40)
  - BUG: missing rtd file (#39)
  - REL: 2.0.1 (#38)
  - Prepping for a doc release (#37)

## Pull Requests
  - REL: update setup and add Lee statistics (#68)
  - correcting typo from (#60) (#67)
  - add Lee (2001) local spatial Pearson (#51)
  - Use README.rst instead of README.md in setup.py b/c the former is in the sdist (#66)
  - DOC: style sheet update and adding Smaup to __init__ (#64)
  - DOC: correcting Geary documentation (#63)
  - 2.1.0 (#62)
  - (ENH) FDR-based adjustment to account for multiple testing in local statistics (#52)
  - [WIP] Contributing Smaup test to `esda` (#58)
  - (bug) fix docs build (#57)
  - BUG: EG_Sim and seG_sim were incorrectly given as scalars. #53 (#54)
  - doc: broken link (#43)
  - bug: missing bibtex file (#42)
  - bug: debugging rtd build (#41)
  - enh: updating travis build and rtd (#40)
  - BUG: missing rtd file (#39)
  - REL: 2.0.1 (#38)
  - Prepping for a doc release (#37)

The following individuals contributed to this release:

  - Serge Rey
  - James Gaboardi
  - Filipe Fernandes
  - Wei Kang
  - Levi John Wolf
  - Juan C Duque
  - Dani Arribas-Bel
# Changes

Version 2.0.1 (2018-11-04)

We closed a total of 15 issues (enhancements and bug fixes) through 7 pull requests, since our last release on 2018-08-25.

## Issues Closed
  - bug: missing bibtex file (#42)
  - bug: debugging rtd build (#41)
  - enh: updating travis build and rtd (#40)
  - BUG: missing rtd file (#39)
  - REL: 2.0.1 (#38)
  - Prepping for a doc release (#37)
  - docstrings are using pysal legacy (#4)
  - add zenodo doi badge (#36)

## Pull Requests
  - bug: missing bibtex file (#42)
  - bug: debugging rtd build (#41)
  - enh: updating travis build and rtd (#40)
  - BUG: missing rtd file (#39)
  - REL: 2.0.1 (#38)
  - Prepping for a doc release (#37)
  - add zenodo doi badge (#36)

The following individuals contributed to this release:

  - Serge Rey
  - James Gaboardi


Version 2.0.0 (2018-08-24)

We closed a total of 42 issues (enhancements and bug fixes) through 16 pull requests, since our last release on 2017-07-14.

## Issues Closed
  - Changing esda setup to handle version programatically (#33)
  - port legacy esda fix for 1013  (#12)
  - notebook links broken (#29)
  - include /tests in release (#32)
  - Add tests to release (#27)
  - Accounting for incoming API changes to `libpysal` and adding testing against `libpysal`'s master branch (#26)
  - no `varnames` in `Moran_BV_matrix` (#22)
  - add `.varnames` attribute to `Moran_BV` objects in `Moran_BV_Matrix` results (#23)
  - Inconsistent metadata in setup.py (#28)
  - Update license (#30)
  - esda has no readme (#14)
  - Readme added (#25)
  - move api into __init__ and remove api (#24)
  - `.z` attribute divided by standard deviation (#21)
  - offer standardised and non-standardised `.z`, `.x` and `.y` attributes (#20)
  - get sjsrey's changes into a release (#16)
  - esda's namespace is broken (#17)
  - update api.py (#18)
  - Update docstrings to use libpysal not pysal (#13)
  - esda needs an api.py module (#9)
  - chore: Update setup for 3+ (#15)
  - Master (#10)
  - infrastructure changes (#8)
  - I made #5 against the esda branch instead of master (#7)
  - bump version and add maintainer (#6)
  - use 2to3 (#5)

## Pull Requests
  - Changing esda setup to handle version programatically (#33)
  - include /tests in release (#32)
  - Accounting for incoming API changes to `libpysal` and adding testing against `libpysal`'s master branch (#26)
  - add `.varnames` attribute to `Moran_BV` objects in `Moran_BV_Matrix` results (#23)
  - Update license (#30)
  - Readme added (#25)
  - move api into __init__ and remove api (#24)
  - `.z` attribute divided by standard deviation (#21)
  - get sjsrey's changes into a release (#16)
  - update api.py (#18)
  - Update docstrings to use libpysal not pysal (#13)
  - chore: Update setup for 3+ (#15)
  - Master (#10)
  - infrastructure changes (#8)
  - I made #5 against the esda branch instead of master (#7)
  - use 2to3 (#5)

The following individuals contributed to this release:

  - Serge Rey
  - Wei Kang
  - Levi John Wolf
  - Stefanie Lumnitz
